Metafunction
Or
Metaprogramming boolean "or" operator.
Or<B1, B2>::Type
Or<B1, B2>::VALUE
Include Headers
seqan/basic.h
Parameters

B1 | Left-hand argument. Types: False, True
B2 | Right-hand argument. Types: False, True

Return Values
One of True and False, the result of logical or. The arguments B1/B2 can either be True/False or boolean metafunctions that return True/False.
Examples
Or<False,False>::Type
Or<False,True>::Type
Or<typename And<T1,T2>::Type,T3>::Type
Or<And<T1,T2>,T3>::Type
See Also
And, OrC, AndC, NotC
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59